#include <iostream>
#include <vector>
#include <iomanip>

using namespace std;

int main()
{
    int brojFrilensera;
    cin>>brojFrilensera;

    vector <int> plata (brojFrilensera);

    vector <double> procenti (brojFrilensera);

    //unos
    for(int i=0; i<brojFrilensera; i++){
        cin>>plata[i];
        cin>>procenti[i];
    }

    //provera
    auto najvecaZarada=0.0;

    for(int i=0; i<brojFrilensera; i++){
        double procenat=procenti[i];
        double zarada=0.0;
        for(int j=0; j<brojFrilensera; j++){
            if(procenat<=procenti[j]){
                zarada=zarada+((double)(plata[j]*procenat)/100);
                //cout<<(double)(plata[j]*procenat)/100<<endl;
            }
        }
        if(zarada>najvecaZarada){
            najvecaZarada=zarada;
        }
    }

    cout<<fixed<<setprecision(4)<<najvecaZarada;


}